### Struct

# Qmi MessageImsdcmPdpDeactivateRequestInput

since: 1.37

#### Description [src]

    struct QmiMessageImsdcmPdpDeactivateRequestInput {
      /* No available fields */
    }

The `QmiMessageImsdcmPdpDeactivateRequestInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.37

#### Constructors

###### qmi_message_imsdcm_pdp_deactivate_request_input_new

Allocates a new `QmiMessageImsdcmPdpDeactivateRequestInput`.

since: 1.37

#### Instance methods

###### qmi_message_imsdcm_pdp_deactivate_request_input_get_instance_id

Get the ‘Instance Id’ field from `self`.

since: 1.37

###### qmi_message_imsdcm_pdp_deactivate_request_input_get_pdp_id

Get the ‘PDP Id’ field from `self`.

since: 1.37

###### qmi_message_imsdcm_pdp_deactivate_request_input_ref

Atomically increments the reference count of `self` by one.

since: 1.37

###### qmi_message_imsdcm_pdp_deactivate_request_input_set_instance_id

Set the ‘Instance Id’ field in the message.

since: 1.37

###### qmi_message_imsdcm_pdp_deactivate_request_input_set_pdp_id

Set the ‘PDP Id’ field in the message.

since: 1.37

###### qmi_message_imsdcm_pdp_deactivate_request_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.37